<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>9 Green tea landing page</title>
    <link rel="stylesheet" href="task9.1.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap"
        rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Kaisei+Decol:wght@400;500;700&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
        rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Italiana&display=swap" rel="stylesheet">
</head>

<body>
    <!-- HEADER -->
    <header class="header">
        <img class="header_background" src="images/background-header.svg" alt="background-header">
        <img class="header_logo" src="images/logo.svg" alt="brand logo">
        <nav class="header_navbar">
            <a class="header__navbar-item-link" href="">Home</a>
            <a class="header__navbar-item-link" href="">About Us</a>
            <a class="header__navbar-item-link" href="">Product</a>
            <a class="header__navbar-item-link" href="">Contact</a>
        </nav>
    </header>

    <!-- ABOUT US -->
    <div class="block_about-us">
        <img src="images/background-about-us.svg" alt="background-about-us">
        <div class="block_about-us-intro">
            <div class="block_about-us-text">
                <div class="block_about-us-title">Home Made</div>
                <div class="block_about-us-describe"> Kamus Bahasa Inggris Indonesia ini merupakan Kamus Online yang
                    dibuat untuk memudahkan pencarian, penggunaan dan pembacaan arti kata.</div>
            </div>
        </div>
    </div>

    <!-- PRODUCT -->
    <div class="container">
        <h2>Pilihan dari yang Terbaik</h2>

        <div class="container_product">
            <div class="container_product-detail">
                <div class="container_product-picture">
                    <img src="images/product 1.svg" alt="product1">

                </div>
                <div class="container_product-info">
                    <p class="container_product-name">Stevia</p>
                    <p class="container_product-describe">Stevia adalah sebuah genus dari sekitar 240 spesies dari
                        ramuan
                        dan semak dalam keluarga bunga matahari, asli subtropis dan daerah tropis dari barat Amerika
                        Utara ke Amerika Selatan.</p>
                </div>
            </div>



            <div class="container_product-detail">
                <div class="container_product-picture">
                    <img src="images/product 2.svg" alt="product2">

                </div>
                <div class="container_product-info">
                    <p class="container_product-name">Chamomile</p>
                    <p class="container_product-describe">Chamomile adalah tumbuhan semusim dari keluarga bunga Matahari
                        Asteraceae. Tanaman ini tumbuh di seluruh wilayah Eropa,
                        wilayah Asia yang memiliki 4 musim. Kamomil juga telah tersebar luas di Amerika Utara dan
                        Australia oleh manusia.</p>
                </div>
            </div>



            <div class="container_product-detail">
                <div class="container_product-picture">
                    <img src="images/product 3.svg" alt="product3">

                </div>
                <div class="container_product-info">
                    <p class="container_product-name">Teh Hijau</p>
                    <p class="container_product-describe">Teh hijau adalah nama teh yang dibuat dari daun tanaman teh
                        yang dipetik dan mengalami proses pemanasan untuk mencegah
                        oksidasi, atau bisa juga berarti minuman yang dihasilkan dari menyeduh daun teh tersebut.</p>
                </div>
            </div>



            <div class="container_product-detail">
                <div class="container_product-picture">
                    <img src="images/product 4.svg" alt="product4">

                </div>
                <div class="container_product-info">
                    <p class="container_product-name">Hibiscus</p>
                    <p class="container_product-describe">Teh kembang sepatu adalah teh herbal yang dibuat sebagai infus
                        dari kelopak bunga rosella berwarna merah tua atau
                        magenta. Itu dikonsumsi baik panas maupun dingin.</p>
                </div>
            </div>
        </div>
    </div>

    <!-- DISCOUNT -->

    <div class="block">
        <div class="block_discount-info">
            <p class="block_discount-title">45 % OFF In Appril 2022</p>
            <p class="block_discount-describe">Get your coupon and enjoy the discount. terms and Conditions applyu</p>
            <button class="block_discount-btn">Contact now</button>
        </div>
        <img src="images/background-discount.svg" alt="background-discount">
    </div>

    <!-- CONTACT -->
    <div class="form">
        <img class=" form-background" src="images/background-contact.svg" alt="background-contact">
        <div class="form-contact">
            <div class="form-contact-input">
                <h2>CONTACT</h2>
                <form action="" onsubmit="return onCreateContactClick()">
                    <input class=" form-contact-personal-info" type="text" name="name" id="name" placeholder="Name">
                    <input class="form-contact-personal-info" type="text" name="email" id="email" placeholder="Email">
                    <textarea name="message" id="message" cols="30" rows="10" placeholder="Message"></textarea>
                    <button type="submit" class="form-button">SEND</button>
                </form>
            </div>

        </div>
    </div>

    <!-- FOOTER -->
    <footer class="footer">
        <img class="footer_logo" src="images/logo.svg" alt="brand logo">
        <div class="footer_icon">
            <img src="images/facebook.svg" alt="facebook-logo">
            <img src="images/instagram.svg" alt="instagram-logo">
            <img src="images/twitter.svg" alt="twitter-logo">
        </div>
        <nav class="footer_navbar">
            <a class="footer__navbar-item-link" href="">Home</a>
            <a class="footer__navbar-item-link" href="">About Us</a>
            <a class="footer__navbar-item-link" href="">Product</a>
            <a class="footer__navbar-item-link" href="">Contact</a>
        </nav>
    </footer>
    <script>
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        const gREQUEST_STATUS_OK = 200;
        const gREQUEST_CREATE_OK = 201;
        const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
        var gBASE_URL = "https://62442d9d3da3ac772b0c50eb.mockapi.io/api/v1/";
        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        // Hàm nhấn nút tạo contact mới
        function onCreateContactClick() {
            // console.log("có chạy")
            var vContactObj = {
                name: "",
                email: "",
                message: "",
                createDate: ""
            };
            // Gọi hàm thu thập dữ liệu
            thuThapDuLieu(vContactObj);
            // Gọi hàm kiểm tra dữ liệu
            var vDuLieuHopLe = kiemTraDuLieu(vContactObj);

            if (vDuLieuHopLe) {
                //Gọi hàm api tạo mới contact
                callApiCreateNewContact(vContactObj);
            }

            return false;
        }
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
        // Gọi hàm thu thập dữ liệu
        function thuThapDuLieu(paramContactObj) {

            var vInputName = document.getElementById("name");
            var vInputEmail = document.getElementById("email");
            var vTextAreaMessage = document.getElementById("message");

            paramContactObj.name = vInputName.value.trim();
            paramContactObj.email = vInputEmail.value.trim();
            paramContactObj.message = vTextAreaMessage.value.trim();

            //Gọi hàm định dạng current date 
            var vToday = formattCurrentDate();
            paramContactObj.createDate = vToday;
        }
        // Gọi hàm kiểm tra dữ liệu
        function kiemTraDuLieu(paramContactObj) {
            // Các thông tin đều phải nhập(không được để trống)
            if (paramContactObj.name === "") {
                alert("Vui lòng nhập name");
                return false;
            }

            if (paramContactObj.email === "") {
                alert("Vui lòng nhập email");
                return false;
            }
            //
            if (paramContactObj.message === "") {
                alert("Vui lòng nhập message");
                return false;
            }

            // Email phải đúng định dạng
            var vEmailRegex = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
            if (!paramContactObj.email.match(vEmailRegex)) {
                alert('Email không đúng định dạng');
                return false;
            }

            // Message phải có độ dài trên 20 ký tự
            if (paramContactObj.message.length <= 20) {
                alert("Message phải có độ dài trên 20 ký tự");
                return false;
            }

            return true;
        }
        //Gọi hàm api tạo mới contact
        function callApiCreateNewContact(paramContactObj) {
            const vAPI_URL = gBASE_URL + "/contacts";
            var vXmlHttp = new XMLHttpRequest();
            vXmlHttp.open("POST", vAPI_URL, true);
            vXmlHttp.setRequestHeader("Content-Type", "application/json");
            vXmlHttp.send(JSON.stringify(paramContactObj));

            vXmlHttp.onreadystatechange = function () {
                if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_OK) {
                    console.log(vXmlHttp.responseText);
                    alert('Gửi contact thành công');
                }
            }
        }
        // Hàm chỉnh định dạng ngày
        function formattCurrentDate() {

            let today = new Date();
            console.log(today);

            let dd = today.getDate();
            let mm = today.getMonth() + 1;

            let yyyy = today.getFullYear();

            if (dd < 10) {
                dd = '0' + dd;
            }
            if (mm < 10) {
                mm = '0' + mm;
            }
            today = dd + '/' + mm + '/' + yyyy;

            return today;
        }
    </script>
</body>

</html>